## osso-dsp-plugin-alsa 0.7

=== Makefile ===
CC=gcc
SOURCES=./src
BIN=./bin
OBJS=./obj
INCLUDES=-I$(SOURCES)
CFLAGS=-Wall -fPIC -DPIC -O2 
LDFLAGS=-shared -lm -ldl -lpthread -module -avoid-version -export-dynamic

# Resource manager
CFLAGS += -DUSE_RESOURCE_MANAGER
CFLAGS += `pkg-config --cflags dbus-1`
LDFLAGS += `pkg-config --libs dbus-1`

all: libasound_module_pcm_alsa_dsp.so 

libasound_module_pcm_alsa_dsp.so: $(OBJS)/dsp-protocol.o $(OBJS)/alsa-dsp.o $(OBJS)/dsp-ctl.o
	$(CC) $(INCLUDES) $(LDFLAGS) $(CFLAGS) -o $(BIN)/$@ -Wl,-soname -Wl,$@ $(OBJS)/dsp-ctl.o $(OBJS)/dsp-protocol.o $(OBJS)/alsa-dsp.o /usr/lib/libasound.so
	strip $(BIN)/$@
	ln -s libasound_module_pcm_alsa_dsp.so libasound_module_ctl_dsp_ctl.so
	mv libasound_module_ctl_dsp_ctl.so $(BIN)

$(OBJS)/%.o: $(SOURCES)/%.c 
	$(CC) $(INCLUDES) $(CFLAGS) -c $<  -o $@

install:

distclean: clean

clean:
	rm -rf $(OBJS)/* $(BIN)/*
