=== debian/changelog ===
osso-dsp-plugin-alsa (0.7) unstable; urgency=low

  * Changed to use the new D-BUS mic power management API

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 20 Oct 2006 08:50:26 +0300

osso-dsp-plugin-alsa (0.6) unstable; urgency=low

  * If a program using ALSA exits/crashes without closing the pcm
    handle, the handle cannot be reacquired until the device has been
    rebooted. Added destructor routines whose are executed before dlclose
    returns (or after exit() or completion of main() if the library is
    loaded at load time).

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 25 Aug 2006 07:43:46 -0400

osso-dsp-plugin-alsa (0.5) unstable; urgency=low

  * Changed source code indentation with Lindent:
  	indent -npro -kr -i8 -ts8 -sob -l80 -ss -ncs "$@"
  * Add more comments in the source code.
  * Add documentation comments for each function.
  * One transfer request with more data than the size of mmap
    buffer size will not fail. It will just report to alsa 
    library that only one amount of data with the size of mmap 
    buffer area is sent.
  
 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 26 May 2006 10:34:24 +0300
 

osso-dsp-plugin-alsa (0.4) unstable; urgency=low

  * Cleaned up the Build-Depends list

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Wed,  3 May 2006 15:08:09 +0300

osso-dsp-plugin-alsa (0.3) unstable; urgency=low

  * Added volume mixer controls
  * All operations dealing with dsp task nodes are done in transaction style.
    While in a transaction, first the plugin locks the device (gets the
    semaphore), then does a sequency of operations in the style "sends a
    command (write syscall) and reads its response (read syscall)", so it
    releases the device (ups the semaphore). It is expected to do not leave
    the device with pending data after a transaction. In this way, another
    processes will rely to do not block while doing a read syscall.
  * Added concurrency control. Now using a semaphore api to implement a mutual
    exclusion between process
  * Added dsp task nodes multiplexing. Now the plugin probes for a idle dsp
    task node. However, dsp task nodes for use with alsa plugin should be 
    specified at alsa.conf.

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Fri, 28 Apr 2006 14:25:40 +0300

osso-dsp-plugin-alsa (0.2) unstable; urgency=low

  * Added recording

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Wed, 12 Apr 2006 11:27:52 +0300

osso-dsp-plugin-alsa (0.1) unstable; urgency=low

  * Initial Release.

 -- Makoto Sugano <Makoto.Sugano@nokia.com>  Wed,  5 Apr 2006 10:28:06 +0300
