=== debian/control ===
Source: osso-dsp-plugin-alsa
Priority: optional
Maintainer: Makoto Sugano <Makoto.Sugano@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libasound2-dev, libc6-dev, libdbus-1-dev (>= 0.60)
Standards-Version: 3.6.1
Section: libs

Package: osso-dsp-plugin-alsa
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OSSO Alsa I/O plugin 
 This library provides an ALSA plugin to communicate with DSP.
